#!/bin/sh

function config() {
	NEW="$1"
	OLD="`dirname $NEW`/`basename $NEW .new`"

	# If there's no config file by that name, mv it over:
	if [ ! -r $OLD ]; then
		echo "--- Renaming $NEW to $OLD"
		mv $NEW $OLD
	elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then
		# toss the redundant copy
		echo "--- Deleting $NEW"
		rm $NEW
	else
		# Otherwise, we leave the .new copy for the admin to consider...
		echo "--- Leaving $NEW for you to replace $OLD"
	fi
	

}

FILE=/etc/ipsec.d/examples/oe.conf.new
if [ -f $FILE ]; then
    config $FILE
fi

for i in /etc/ipsec.d/policies/*.new
do
    if [ -f $i ]; then
	config $i
    fi
done

FILE=/etc/rc.d/rc.ipsec.new
if [ -f $FILE ]; then
    config $FILE
fi

FILE=/etc/ipsec.conf.new
if [ -f $FILE ]; then
    config $FILE
fi

( cd usr/man/man3 ; rm -rf ipsec_isanyaddr.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_anyaddr.3.gz ipsec_isanyaddr.3.gz )
( cd usr/man/man3 ; rm -rf ipsec_unspecaddr.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_anyaddr.3.gz ipsec_unspecaddr.3.gz )
( cd usr/man/man3 ; rm -rf ipsec_isunspecaddr.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_anyaddr.3.gz ipsec_isunspecaddr.3.gz )
( cd usr/man/man3 ; rm -rf ipsec_loopbackaddr.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_anyaddr.3.gz ipsec_loopbackaddr.3.gz )
( cd usr/man/man3 ; rm -rf ipsec_isloopbackaddr.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_anyaddr.3.gz ipsec_isloopbackaddr.3.gz )
( cd usr/man/man3 ; rm -rf ipsec_addrtoa.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_atoaddr.3.gz ipsec_addrtoa.3.gz )
( cd usr/man/man3 ; rm -rf ipsec_atosubnet.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_atoaddr.3.gz ipsec_atosubnet.3.gz )
( cd usr/man/man3 ; rm -rf ipsec_subnettoa.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_atoaddr.3.gz ipsec_subnettoa.3.gz )
( cd usr/man/man3 ; rm -rf ipsec_rangetoa.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_atoasr.3.gz ipsec_rangetoa.3.gz )
( cd usr/man/man3 ; rm -rf ipsec_satoa.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_atosa.3.gz ipsec_satoa.3.gz )
( cd usr/man/man3 ; rm -rf ipsec_ultoa.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_atoul.3.gz ipsec_ultoa.3.gz )
( cd usr/man/man3 ; rm -rf ipsec_masktobits.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_goodmask.3.gz ipsec_masktobits.3.gz )
( cd usr/man/man3 ; rm -rf ipsec_bitstomask.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_goodmask.3.gz ipsec_bitstomask.3.gz )
( cd usr/man/man3 ; rm -rf ipsec_addrtypeof.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_initaddr.3.gz ipsec_addrtypeof.3.gz )
( cd usr/man/man3 ; rm -rf ipsec_addrlenof.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_initaddr.3.gz ipsec_addrlenof.3.gz )
( cd usr/man/man3 ; rm -rf ipsec_addrbytesptr.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_initaddr.3.gz ipsec_addrbytesptr.3.gz )
( cd usr/man/man3 ; rm -rf ipsec_addrtosubnet.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_initsubnet.3.gz ipsec_addrtosubnet.3.gz )
( cd usr/man/man3 ; rm -rf ipsec_subnettypeof.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_initsubnet.3.gz ipsec_subnettypeof.3.gz )
( cd usr/man/man3 ; rm -rf ipsec_masktocount.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_initsubnet.3.gz ipsec_masktocount.3.gz )
( cd usr/man/man3 ; rm -rf ipsec_networkof.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_initsubnet.3.gz ipsec_networkof.3.gz )
( cd usr/man/man3 ; rm -rf ipsec_maskof.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_initsubnet.3.gz ipsec_maskof.3.gz )
( cd usr/man/man3 ; rm -rf ipsec_setportof.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_portof.3.gz ipsec_setportof.3.gz )
( cd usr/man/man3 ; rm -rf ipsec_sockaddrof.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_portof.3.gz ipsec_sockaddrof.3.gz )
( cd usr/man/man3 ; rm -rf ipsec_sockaddrlenof.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_portof.3.gz ipsec_sockaddrlenof.3.gz )
( cd usr/man/man3 ; rm -rf ipsec_addrcmp.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_sameaddr.3.gz ipsec_addrcmp.3.gz )
( cd usr/man/man3 ; rm -rf ipsec_addrinsubnet.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_sameaddr.3.gz ipsec_addrinsubnet.3.gz )
( cd usr/man/man3 ; rm -rf ipsec_subnetinsubnet.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_sameaddr.3.gz ipsec_subnetinsubnet.3.gz )
( cd usr/man/man3 ; rm -rf ipsec_subnetishost.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_sameaddr.3.gz ipsec_subnetishost.3.gz )
( cd usr/man/man3 ; rm -rf ipsec_samesaid.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_sameaddr.3.gz ipsec_samesaid.3.gz )
( cd usr/man/man3 ; rm -rf ipsec_sameaddrtype.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_sameaddr.3.gz ipsec_sameaddrtype.3.gz )
( cd usr/man/man3 ; rm -rf ipsec_samesubnettype.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_sameaddr.3.gz ipsec_samesubnettype.3.gz )
( cd usr/man/man3 ; rm -rf ipsec_hostof.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_subnetof.3.gz ipsec_hostof.3.gz )
( cd usr/man/man3 ; rm -rf ipsec_tnatoaddr.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_ttoaddr.3.gz ipsec_tnatoaddr.3.gz )
( cd usr/man/man3 ; rm -rf ipsec_addrtot.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_ttoaddr.3.gz ipsec_addrtot.3.gz )
( cd usr/man/man3 ; rm -rf ipsec_ttosubnet.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_ttoaddr.3.gz ipsec_ttosubnet.3.gz )
( cd usr/man/man3 ; rm -rf ipsec_subnettot.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_ttoaddr.3.gz ipsec_subnettot.3.gz )
( cd usr/man/man3 ; rm -rf ipsec_datatot.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_ttodata.3.gz ipsec_datatot.3.gz )
( cd usr/man/man3 ; rm -rf ipsec_satot.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_ttosa.3.gz ipsec_satot.3.gz )
( cd usr/man/man3 ; rm -rf ipsec_initsaid.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_ttosa.3.gz ipsec_initsaid.3.gz )
( cd usr/man/man3 ; rm -rf ipsec_ultot.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_ttoul.3.gz ipsec_ultot.3.gz )
( cd usr/man/man3 ; rm -rf ipsec_version_code.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_version.3.gz ipsec_version_code.3.gz )
( cd usr/man/man3 ; rm -rf ipsec_version_string.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_version.3.gz ipsec_version_string.3.gz )
( cd usr/man/man3 ; rm -rf ipsec_copyright_notice.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_version.3.gz ipsec_copyright_notice.3.gz )
( cd usr/man/man3 ; rm -rf ipsec_addrbytesof.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_initaddr.3.gz ipsec_addrbytesof.3.gz )
( cd usr/man/man3 ; rm -rf ipsec_samesubnet.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_sameaddr.3.gz ipsec_samesubnet.3.gz )
( cd usr/man/man3 ; rm -rf ipsec_broadcastof.3.gz )
( cd usr/man/man3 ; ln -sf ipsec_subnetof.3.gz ipsec_broadcastof.3.gz )
( cd usr/man/man8 ; rm -rf ipsec_whack.8.gz )
( cd usr/man/man8 ; ln -sf ipsec_pluto.8.gz ipsec_whack.8.gz )
